Package Gnumed :: Package wxpython :: Module gmEMRBrowser :: Class cEMRTree |
[frames] | no frames]

# Class cEMRTree

source code

                                wx.TreeCtrl --+
                                              |
    gmGuiHelpers.cTreeExpansionHistoryMixin --+
                                              |
                                             cEMRTree

This wx.TreeCtrl derivative displays a tree view of the medical record.

Instance Methods
__init__(self, parent, id, *args, **kwds) Set up our specialised tree. | source code
refresh(self) | source code
set_narrative_display(self, narrative_display=None) | source code
set_image_display(self, image_display=None) | source code
set_enable_display_mode_selection_callback(self, callback) | source code
OnCompareItems(self, node1=None, node2=None) Used in sorting items. | source code
Inherited from `gmGuiHelpers.cTreeExpansionHistoryMixin`: `print_expansion`, `restore_expansion`, `snapshot_expansion`

Class Variables
| details_display_mode = `property(_get_details_display_mode, _se`...``

Method Details

### __init__(self, parent, id, *args, **kwds) (Constructor) | source code
Set up our specialised tree. Overrides: gmGuiHelpers.cTreeExpansionHistoryMixin.__init__

### OnCompareItems(self, node1=None, node2=None) | source code
    Used in sorting items.

    -1: 1 < 2
     0: 1 = 2
     1: 1 > 2

Class Variable Details

  ### details_display_mode Value:
      property(_get_details_display_mode, _set_details_display_mode)